CMSIS DSP Software Library: Vector Copy

Functions

# Vector Copy
[Support Functions]

## Functions
void | arm_copy_f32 (float32_t *pSrc, float32_t *pDst, uint32_t blockSize)
void | arm_copy_q31 (q31_t *pSrc, q31_t *pDst, uint32_t blockSize)
void | arm_copy_q15 (q15_t *pSrc, q15_t *pDst, uint32_t blockSize)
void | arm_copy_q7 (q7_t *pSrc, q7_t *pDst, uint32_t blockSize)

## Detailed Description

Copies sample by sample from source vector to destination vector.

     	pDst[n] = pSrc[n];   0 <= n < blockSize.

There are separate functions for floating point, Q31, Q15, and Q7 data types.

## Function Documentation

void arm_copy_f32 | ( | float32_t * | pSrc,
|  | float32_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Copies the elements of a floating-point vector.

Parameters:

  [in] | *pSrc | points to input vector
  [out] | *pDst | points to output vector
  [in] | blockSize | length of the input vector

Returns:
  none.

Examples:
  arm_convolution_example_f32.c, arm_signal_converge_example_f32.c, and arm_variance_example_f32.c.

Definition at line 66 of file arm_copy_f32.c.

void arm_copy_q31 | ( | q31_t * | pSrc,
|  | q31_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Copies the elements of a Q31 vector.

Parameters:

  [in] | *pSrc | points to input vector
  [out] | *pDst | points to output vector
  [in] | blockSize | length of the input vector

Returns:
  none.

Definition at line 53 of file arm_copy_q31.c.

void arm_copy_q15 | ( | q15_t * | pSrc,
|  | q15_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Copies the elements of a Q15 vector.

Parameters:

  [in] | *pSrc | points to input vector
  [out] | *pDst | points to output vector
  [in] | blockSize | length of the input vector

Returns:
  none.

Definition at line 52 of file arm_copy_q15.c.

void arm_copy_q7 | ( | q7_t * | pSrc,
|  | q7_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Copies the elements of a Q7 vector.

Parameters:

  [in] | *pSrc | points to input vector
  [out] | *pDst | points to output vector
  [in] | blockSize | length of the input vector

Returns:
  none.

Definition at line 53 of file arm_copy_q7.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines